
#game-window.game-grid-container.block

    #top-grid-item
        #exp-1-2-top.block
            .top-flex-container    
                .top-flex-item
                    .top-flex-item-container
                        .top-flex-item-item
                            p.xlarge.border-heading Your <br> Progress:              
                .top-flex-item
                    .top-flex-item-container
                        .top-flex-item-item
                            img.icon#medkit-icon-top(src="/assets/images/medkit.png" style="display: inline")
                            
                        .top-flex-item-item
                            p.xlarge#player-med-kits-used 0
                .top-flex-item
                    .top-flex-item-container
                        .top-flex-item-item
                            img.icon(src="/assets/images/green_victim.png")
                        .top-flex-item-item
                            p.xlarge#green_victim_saved 0
                .top-flex-item
                    .top-flex-item-container
                        .top-flex-item-item
                            img.icon(src="/assets/images/yellow_victim.png")
                        .top-flex-item-item
                            p.xlarge#yellow_victim_saved 0
                            
                .top-flex-item
                    .top-flex-item-container
                        .top-flex-item-item
                            p.xlarge Score
                        .top-flex-item-item
                            p.xlarge#score 120
            
                //- .top-flex-item
                //-     .top-flex-item-container
                //-         .top-flex-item-item
                //-             p.xlarge#timer-text 0:00
        
        
        #exp-3-top.block
            .top-flex-container
                .top-flex-item
                    .top-flex-item-container
                        .top-flex-item-item
                            p.xlarge Team Progress              
                .top-flex-item
                    .top-flex-item-container#used-medkit-label
                        p.large Used medkits 
                        img.icon(src="/assets/images/medkit.png" style="display: inline")
                        p.large &nbsp;:&nbsp; 
                        .top-flex-item-item
                            p.xlarge#team-med-kits-used(style="display: inline") 0
                            p.xlarge(style="display: inline") / 30
                .top-flex-item
                    .top-flex-item-container#saved-vic-label
                        p.large Saved victims
                        img.icon(src="/assets/images/green_victim.png" style="display: inline")
                        img.icon(src="/assets/images/yellow_victim.png" style="display: inline")
                        p.large &nbsp;:&nbsp; 
                        .top-flex-item-item
                            p.xlarge#team_victim_saved(style="display: inline") 0
                            p.xlarge(style="display: inline") / 30
                .top-flex-item
                    .top-flex-item-container
                        .top-flex-item-item
                            p.xlarge#timer-text 0:00

    #side-grid-item 
        
            #request-respond.block.side-flex-container
                #respond.side-flex-item
                    p#request-label.large.border-heading  Respond
                    
                    form#teammate_request_form.info-grid(action="javascript:void(0);" onsubmit="return false;")

                                //-  Row 1
                                .info-item-left(style="grid-area: row1-left")
                                    img.icon(src="/assets/images/medkit.png" style="display: inline")
                                .info-item-right(style="grid-area: row1-right")
                                    input(type="number", id="player_medkit" value="0") 

                                //- Row 2
                                .info-item-left(style="grid-area:row2-left;")
                                    img.icon(src="/assets/images/green_victim.png")
                                .info-item-right(style="grid-area: row2-right")
                                    input(type="number", id="player_green_vic" value="0") 
                                
                                //- Row 3
                                .info-item-left(style="grid-area:row3-left;")
                                    //- label(for="player_yellow_vic") Yellow victims saved: 
                                    img.icon(src="/assets/images/yellow_victim.png")
                                .info-item-rsight(style="grid-area: row3-right")
                                    input(type="number", id="player_yellow_vic" value="0") 

                                //- Row 4
                                .info-item-left(style="grid-area:row4-left;")
                                    label(for="player_score") Score: 
                                .info-item-right(style="grid-area: row4-right")
                                    input(type="number", id="player_score" value="0") 

                                //- Row 5
            
                                #submit-button-div.info-item-row.block(style="grid-area: row5-left;")
                                    button#request_submit(onclick="teammate_request_submit()") Submit
                                #cancel-button-div.info-item-row.block(style="grid-area: row5-right")
                                    button#request_cancel(onclick="teammate_request_cancel()") Cancel
                
                #request.side-flex-item
                    button#askUpdate.margin-right-5(onclick="player_request_update()" class="button" style="background-color: lightblue") Request Update
                    
                #response.side-flex-item
                    p#update-label.large.border-heading Response

                    .info-grid

                        //- Row 1
                        .info-item-left(style="grid-area: row1-left")
                            p.medium Time
                        .info-item-right(style="grid-area: row1-right")
                            p.medium#teammate-time(style="white-space: nowrap;")  00-00-00 
                        //- Row 2
                        .info-item-left(style="grid-area: row2-left")
                            img.icon(src="/assets/images/medkit.png" style="display: inline")
                        .info-item-right(style="grid-area: row2-right")
                            p.medium#teammate-medkit 0
                        //- Row 3
                        .info-item-left(style="grid-area:row3-left;")
                            img.icon(src="/assets/images/green_victim.png")
                        .info-item-right(style="grid-area: row3-right")
                            p.medium#teammate-green-vic 0
                        //- Row 4
                        .info-item-left(style="grid-area:row4-left;")
                            img.icon(src="/assets/images/yellow_victim.png")
                        .info-item-right(style="grid-area: row4-right")
                            p.medium#teammate-yellow-vic 0
                        
                        //- Row 5
                        .info-item-left(style="grid-area:row5-left;")
                            p.medium Score
                        .info-item-right(style="grid-area: row5-right")
                            p.medium#teammate-score 0                    
        
            #automatic-teammate-progress.block.side-flex-container
                #teammate-display.side-flex-item
                    p#update-label.large.border-heading Teammate <br> Progress
                    

                            .info-grid-4by2

                                        //- Row 1 V
                                        .info-item-left(style="grid-area: row1-left")
                                            img.icon(src="/assets/images/medkit.png" style="display: inline")
                                        .info-item-right(style="grid-area: row1-right")
                                            p.medium#teammate-medkit-progress 0
                                        //- Row 2
                                        .info-item-left(style="grid-area:row2-left;")
                                            img.icon(src="/assets/images/green_victim.png")
                                        .info-item-right(style="grid-area: row2-right")
                                            p.medium#teammate-green-vic-progress 0
                                        //- Row 3
                                        .info-item-left(style="grid-area:row3-left;")
                                            img.icon(src="/assets/images/yellow_victim.png")
                                        .info-item-right(style="grid-area: row3-right")
                                            p.medium#teammate-yellow-vic-progress 0
                                        
                                        //- Row 4 V 
                                        .info-item-left(style="grid-area:row4-left;")
                                            p.medium Score
                                        .info-item-right(style="grid-area: row4-right")
                                            p.medium#teammate-score-progress 0   


            #teammate-message.block.side-flex-container
                .side-flex-item
                    p#msg-label.large Msg from Teammate

                .side-flex-item
                        
                    .info-item-row  
                        
                        img.icon(src="/assets/images/player_g.png" id="teammate-display-img" style="display: inline block") 
                        p.large(style="display: inline") :
                        p(style="display: inline") &nbsp;
                        p.medium#teammate-msg-received(style="display: inline; overflow-wrap: anywhere;") [No messages]
                        p(style="display: inline") &nbsp;&nbsp;
                        p.xsmall#teammate-msg-time(style="display: inline") 6:00


                #teammate-note.side-flex-item
                    
                    form#teammate_msg_form(action="javascript:void(0);" onsubmit="return false;")
                        .info-item-row
                            input#player_msg(type="text", placeholder="New Message") 
                        .info-item-right
                            button#msg_submit(onclick="teammate_msg_send()") Send

    #game-grid-item
        #game






